gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.IWrapper Interface for text-editing widgets.
- Event
  2.12.0.0
  System.EventHandler Raised when the user has changed the contents of the widget.
- Method
  2.12.0.0
  System.Void Causes the characters in the current selection to be copied to the clipboard.
- Method
  2.12.0.0
  System.Void Causes the characters in the current selection to be copied to the clipboard and then deleted from the widget.
- Method
  2.12.0.0
  System.Void Causes the characters in the current selection to be deleted.
- Method
  2.12.0.0
  System.Void `` `` An integer; the start position An integer; the end position Deletes a sequence of characters. The characters that are deleted are those characters at positions from up to, but not including . If is negative, then the the characters deleted will be those characters from to the end of the text.
- Method
  2.12.0.0
  System.String `` `` An integer; the start position An integer; the end position Retrieves a sequence of characters. The characters that are retrieved are those characters at positions from up to, but not including . If is negative, then the the characters retrieved will be those characters from to the end of the text. The characters between and (but not including) .
- Method
  2.12.0.0
  System.Boolean `` `` An IntPtr to store the start position in. An IntPtr to store the end position in. Gets the current selection bounds, if there is a selection Boolean, TRUE if there is a selection.
- Method
  2.12.0.0
  System.Void `` `` A string to insert. A pointer to the position within the Editable object for inserting the string. Inserts at .
- Property
  2.12.0.0
  System.Boolean Whether or not the user can edit the text in the editable widget or not. A boolean; TRUE if the user can edit the text.
- Method
  2.12.0.0
  System.Void Causes the contents of the clipboard to be pasted into the given widget at the current cursor position.
- Property
  2.12.0.0
  System.Int32 The current cursor position. An integer position for the cursor.
- Method
  2.12.0.0
  System.Void `` `` An integer, the start of the selected region. An integer, the end of the selected region. Selects a region of text. The characters that are selected are those characters at positions from up to, but not including . If is negative, then the the characters selected will be those characters from to the end of the text.
- Event
  2.12.0.0
  Gtk.TextDeletedHandler Raised whenever the user deletes text. The default handler for this signal will normally be responsible for inserting the text, so by connecting to this signal and then stopping the signal with gtk_signal_emit_stop(), it is possible to modify the inserted text, or prevent it from being inserted entirely. The and parameters are interpreted as for (FIXME: need equivalent for gtk_signal_emit_stop().)
- Event
  2.12.0.0
  Gtk.TextInsertedHandler Raised whenever the user inserts text. The default handler for this signal will normally be responsible for inserting the text, so by connecting to this signal and then stopping the signal with gtk_signal_emit_stop(), it is possible to modify the inserted text, or prevent it from being inserted entirely. (FIXME: Need Gtk# equivalent for gtk_signal_emit_stop().)